services:
  sidequest_admin:
    image: sidequest-admin-backend:0.3.3
    container_name: sidequest-admin
    environment:
      - SQ_TESTENV=TestTest123
      - HOST=0.0.0.0
      - PORT=6060
      - saashost=https://api.sidequest-timetracking.de
      # - DB_HOST=localhost
      - DB_HOST=sidequest_enterprise_postgres
      # - DB_PORT=5432
      - DB_NAME=sidequest_enterprise_db
      - DB_USER=sidequest_admin_user
      - DB_PASSWORD=2QzCrbZ1ygm5C5HC62s3
      - ROOT_PW=e3FMkP5CR0tnyAXMRtMu
      - JWT_SECRET_KEY="dmlökfbnöl34z0uojipNM)a(/asn/()nuio349058"
      - SQ_ROUND_NEXT=999
      - SQ_ROUND_MARGIN=69
    ports:
      - "6060:6060"
    env_file:
      - .env
    networks:
      - sidequest_enterprise_api_sidequest_network
  sidequest_dashboard:
    image: sidequest-dashboard:0.2.1
    container_name: sidequest-dashboard
    ports:
      - "1917:1917"
    networks:
      - sidequest_enterprise_api_sidequest_network
networks:
  sidequest_enterprise_api_sidequest_network:
    external: true